Subject: bug#31130: closed (Re: bug#31130: 26; Regression: intra-glossary links broken in Emacs manual)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Apr 2018 15:22:02 +0000

Your bug report

#31130: 26; Regression: intra-glossary links broken in Emacs manual

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31130: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31130
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31130: 26; Regression: intra-glossary links broken in Emacs manual
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 12 Apr 2018 18:22:02 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 12 Apr 2018 07:42:47 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> 1. Trying again now, I can repro the problem only in Emacs 24.5,
>    not in the more recent releases/builds.

That could be, but I guess it means you reported the bug from a binary
other than the one where the problem happened?

> 2. I'm sure I tested those multiple builds, using `emacs -Q',
>    going back to see whether it ever worked and, if so, in
>    what release it became broken.  IIRC, found that prior to
>    Emacs 24 those terms were not links; in Emacs 24.4 the
>    links worked correctly; and starting with Emacs 24.5,
>    through 27 (3rd snapshot) the links were broken.
> 
> 3. I don't know how or why I saw different behavior then
>    than now, when I retest.

We've been through that before.  May I suggest that next time this
happens you keep notes about the exact steps you took while
reproducing the problem?

>    I don't know what you mean,
>    about somehow reading Info files that didn't come with
>    the same binary.  How would that even happen?

It depends on how your system is configured wrt multiple Emacs
versions installed on it, and in particular how you invoke Info.  If
you just type "C-h i" or "C-h r", the Info manual you get depends on
whether you keep the share/info directories of different versions
separate or not.  Also, "C-h i" and "C-h r" go to different places by
default.  This is why I always use "C-u C-h i", and then specify the
Info file that corresponds to the Emacs version I'm running.

> Sorry for any confusion.  I don't really understand what's
> causing the mixup in behavior, but I'm sure that I tested
> each of the releases 24.5, 25.3.1, and 26 using `emacs -Q'.
> But I confirm that doing that again now I don't see the
> problem except in 24.5.

Then I guess we can close this bug.

Subject: 26; Regression: intra-glossary links broken in Emacs manual
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Wed, 11 Apr 2018 14:37:45 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

C-h r
g Glossary
Go to entry "Cut and Paste".

There you see this:

Cut and Paste
     *Note Glossary---Killing::, and *note Glossary---Yanking::.

But clicking those links does not take you to the Glossary entries for
Killing and Yanking, respectively.

Instead, the first one takes you to node Acknowledgements, and the
second one takes you to node `Key Index'.

This regression was introduced in Emacs 24.5.  Prior to that, in Emacs
24 the links worked fine.

In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)
 of 2018-04-10
Repository revision: c267421647510319d2a70554e42f0d1c394dba0a
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''